Bug 220010 - 4tb-limit in dm-multipath?
4tb-limit in dm-multipath?
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-18 07:51 EST by Eckebrecht von Pappenheim
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-09 15:56:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eckebrecht von Pappenheim 2006-12-18 07:51:21 EST
Description of problem:
When accessing a Volume larger than 4tb through dm-multipath I get

[root@backup]/var/log> fsck /dev/san/estor02lun0p1 
fsck 1.37 (21-Mar-2005)
e2fsck 1.37 (21-Mar-2005)
The filesystem size (according to the superblock) is 1202399223 blocks
The physical size of the device is 128657399 blocks
Either the superblock or the partition table is likely to be corrupt!

Without multipath the device is accessible and fsck'ble. I suspect a 32bit-wrap
because of

[root@backup]~> bc
bc 1.06
Copyright 1991-1994, 1997, 1998, 2000 Free Software Foundation, Inc.
This is free software with ABSOLUTELY NO WARRANTY.
For details type `warranty'. 
# 4k blocks to volume size
1202399223 * 4
# wrap
4809596892 - (2^32)
# back to blocks
514629596 / 4
# qed...

My device map for this device is
[root@backup]/~> multipath -l 3600d0230000000000083591ea0567c00
3600d0230000000000083591ea0567c00dm-5 IFT,A24F-R2224-1
\_ round-robin 0 [prio=0][active]
 \_ 3:0:1:0 sdp 8:240 [active][undef]

(I don't have actually a multipath for this device, but I'd like to have...)

Version-Release number of selected component (if applicable):
Kernel 2.6.17
mutlipath-tools 0.4.7

How reproducible:
- Create a SAN volume > 4tb (maybe 2tb)
- Access it via (one of) its pysical devive => works
- Access it through a setup with dm-multipath => volume size is mod 2 or 4tb
  (haven't tried a volume > 2tb and < 4tb yet)
Comment 1 Jason Baron 2007-02-09 15:56:01 EST
We don't fix bugs that are not filed against a rhel4 kernel. If this is an
upstream bug, please file it against fedora.

Note You need to log in before you can comment on or make changes to this bug.